Bug 1348444 (CVE-2016-4302) - CVE-2016-4302 libarchive: Heap buffer overflow in the Rar decompression functionality
Summary: CVE-2016-4302 libarchive: Heap buffer overflow in the Rar decompression funct...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-4302
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1352776 1353065 1353066
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-21 07:59 UTC by Andrej Nemec
Modified: 2019-09-29 13:51 UTC (History)
5 users (show)

Fixed In Version: libarchive 3.2.1
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in libarchive's handling of RAR archives. A specially crafted RAR file can cause a heap overflow, potentially leading to code execution in the context of the application.
Clone Of:
Environment:
Last Closed: 2016-10-18 04:59:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC

Description Andrej Nemec 2016-06-21 07:59:14 UTC
An exploitable heap overflow vulnerability exists in the Rar decompression functionality of libarchive. A specially crafted Rar file can cause a heap corruption eventually leading to code execution. An attacker can send a malformed file to trigger this vulnerability.

External references:

http://www.talosintel.com/reports/TALOS-2016-0154/

Upstream fix:

https://github.com/libarchive/libarchive/commit/05caadc7eedbef471ac9610809ba683f0c698700

Comment 1 Doran Moppert 2016-06-22 07:15:59 UTC
Libarchive-2.8 does not include the rar/ppmd functionality that introduced this
flaw.

Comment 2 Doran Moppert 2016-07-05 04:37:55 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1352776]

Comment 5 errata-xmlrpc 2016-09-12 20:14:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html


Note You need to log in before you can comment on or make changes to this bug.